Bug 734019 - [iptraf] - Warning: unable to tag this process
Summary: [iptraf] - Warning: unable to tag this process
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iptraf
Version: 15
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nikola Pajkovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 08:17 UTC by xset1980
Modified: 2014-02-02 22:15 UTC (History)
4 users (show)

Fixed In Version: iptraf-ng-1.1.0-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-24 19:56:06 UTC


Attachments (Terms of Use)
The text describe the proposed solution (no patch i'm not dev) (995 bytes, text/plain)
2011-08-29 08:46 UTC, xset1980
no flags Details

Description xset1980 2011-08-29 08:17:58 UTC
Description of problem:

After install and reboot, iptraf no work fine anymore.
When execute iptraf in konsole or xterm (as root), the message is:

iptraf

Warning: unable to tag this process
Press Enter to continue.

Press Enter and iptraf run but show me an Alert "Warning: unable to lock IP traffic monitor on (null) Press a key to continue"

The bug is descripted in brazilfw firewall and redhat 7.2, but in iptraf 3.0 too.
Creating /var/run/iptraf or /var/lib/iptraf no resolve the bug.
Reinstalling iptraf yes, but, in every reboot reinstall iptraf is no correct.


Version-Release number of selected component (if applicable):

IPTraf Version 3.0.1

How reproducible:

Execute iptraf in a terminal emulator.


Steps to Reproduce:
1.
2.
3.
  
Actual results:

iptraf is unusable


Expected results:

iptraf usable


Additional info:

Iptraf of fedora 13 and 14 and rhel6.1 work fine.

Comment 1 xset1980 2011-08-29 08:46:44 UTC
Created attachment 520320 [details]
The text describe the proposed solution (no patch i'm not dev)

Comment 2 xset1980 2011-08-29 08:48:42 UTC
[SOLVED]:

The bug is present in older versions of iptraf (rhel56), the bug is the system f15, is not present /var/lock/iptraf directory.
The guide of iptraf say about this message:

Warning: unable to tag this process


 IPTraf normally tags itself when it runs to prevent multiple instances of the statistical facilities from running. This message means the program was unable to create the necessary tag file. This may be due to a bad or improper installation. Try running the make install procedure or the Setup in the distribution's top-level directory.

So, iptraf any version find the /var/lock/iptraf/ directory for create iptrag.tag file, if the director is created:

mkdir -p /var/lock/iptraf the problem is solved.

Suggestion:

iptraf obviously was compiled properly, the problem is that the rpm installation does not create the directory to be in Fedora 15, or does not exist. Please recreate a new rpm iptraf be possible that in your installation create /var/lock/iptraf

Greetings

Comment 3 xset1980 2011-09-15 10:09:15 UTC
Sorry, the bug is persistent.
After create /var/lock/iptraf and reboot the bug is again present:

strace:

 strace iptraf
execve("/usr/bin/iptraf", ["iptraf"], [/* 23 vars */]) = 0
brk(0)                                  = 0x93f4000
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb778a000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=101226, ...}) = 0
mmap2(NULL, 101226, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7771000
close(3)                                = 0
open("/usr/lib/libpanelw.so.5", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0 woH4\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=12008, ...}) = 0
mmap2(0x486f7000, 13324, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x486f7000
mmap2(0x486fa000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2) = 0x486fa000
close(3)                                = 0
open("/lib/libncursesw.so.5", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0 \361kH4\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=202824, ...}) = 0
mmap2(0x486b9000, 204424, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x486b9000
mmap2(0x486ea000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x30) = 0x486ea000
close(3)                                = 0
open("/lib/libtinfo.so.5", O_RDONLY)    = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`m\250H4\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=124020, ...}) = 0
mmap2(0x48a81000, 126224, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x48a81000
mmap2(0x48a9d000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1b) = 0x48a9d000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\1\1\1\3\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p\225\1\0004\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1854840, ...}) = 0
mmap2(NULL, 1620552, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x110000
mprotect(0x295000, 4096, PROT_NONE)     = 0
mmap2(0x296000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x185) = 0x296000
mmap2(0x299000, 10824, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x299000
close(3)                                = 0
open("/lib/libdl.so.2", O_RDONLY)       = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=17956, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7770000
mmap2(NULL, 16500, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x29c000
mmap2(0x29f000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2) = 0x29f000
close(3)                                = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb776f000
set_thread_area({entry_number:-1 -> 6, base_addr:0xb776f6c0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
mprotect(0x29f000, 4096, PROT_READ)     = 0
mprotect(0x296000, 8192, PROT_READ)     = 0
mprotect(0x43c000, 4096, PROT_READ)     = 0
munmap(0xb7771000, 101226)              = 0
getuid32()                              = 0
brk(0)                                  = 0x93f4000
brk(0x9415000)                          = 0x9415000
brk(0)                                  = 0x9415000
open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=104997424, ...}) = 0
mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb756f000
mmap2(NULL, 4096, PROT_READ, MAP_PRIVATE, 3, 0x1166) = 0xb7789000
close(3)                                = 0
open("/var/lock/iptraf/iptraf.tag", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/var/lib/iptraf/iptraf.cfg", O_RDONLY) = -1 ENOENT (No such file or directory)
ioctl(1, SNDCTL_TMR_TIMEBASE or SNDRV_TIMER_IOCTL_NEXT_DEVICE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
stat64("/root/.terminfo", 0xbfc81e70)   = -1 ENOENT (No such file or directory)
stat64("/etc/terminfo", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
access("/etc/terminfo/x/xterm", R_OK)   = -1 ENOENT (No such file or directory)
stat64("/usr/share/terminfo", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
access("/usr/share/terminfo/x/xterm", R_OK) = 0
open("/usr/share/terminfo/x/xterm", O_RDONLY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=3270, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7788000
read(3, "\32\0010\0&\0\17\0\235\1l\5xterm|xterm terminal"..., 4096) = 3270
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0xb7788000, 4096)                = 0
ioctl(1, SNDCTL_TMR_TIMEBASE or SNDRV_TIMER_IOCTL_NEXT_DEVICE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(1, SNDCTL_TMR_TIMEBASE or SNDRV_TIMER_IOCTL_NEXT_DEVICE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(1, TIOCGWINSZ, {ws_row=39, ws_col=125, ws_xpixel=0, ws_ypixel=0}) = 0
ioctl(1, SNDCTL_TMR_TIMEBASE or SNDRV_TIMER_IOCTL_NEXT_DEVICE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(1, TIOCGWINSZ, {ws_row=39, ws_col=125, ws_xpixel=0, ws_ypixel=0}) = 0
brk(0)                                  = 0x9415000
brk(0x9436000)                          = 0x9436000
ioctl(1, SNDCTL_TMR_TIMEBASE or SNDRV_TIMER_IOCTL_NEXT_DEVICE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(1, SNDCTL_TMR_TIMEBASE or SNDRV_TIMER_IOCTL_NEXT_DEVICE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
brk(0)                                  = 0x9436000
brk(0x9457000)                          = 0x9457000
ioctl(1, SNDCTL_TMR_TIMEBASE or SNDRV_TIMER_IOCTL_NEXT_DEVICE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(1, SNDCTL_TMR_STOP or SNDRV_TIMER_IOCTL_GINFO or TCSETSW, {B38400 opost isig -icanon echo ...}) = 0
ioctl(1, SNDCTL_TMR_STOP or SNDRV_TIMER_IOCTL_GINFO or TCSETSW, {B38400 opost isig -icanon -echo ...}) = 0
                                                                                                          rt_sigaction(SIGTSTP, NULL, {SIG_DFL, [], 0}, 8) = 0
                                 rt_sigaction(SIGTSTP, {0x486d2b10, [], SA_RESTART}, NULL, 8) = 0
                                                                                                 rt_sigaction(SIGINT, NULL, {SIG_DFL, [], 0}, 8) = 0
                       rt_sigaction(SIGINT, {0x486d2a20, [], SA_RESTART}, NULL, 8) = 0
                                                                                      rt_sigaction(SIGTERM, NULL, {SIG_DFL, [], 0}, 8) = 0
             rt_sigaction(SIGTERM, {0x486d2a20, [], SA_RESTART}, NULL, 8) = 0
                                                                             rt_sigaction(SIGWINCH, NULL, {SIG_DFL, [], 0}, 8) = 0
     rt_sigaction(SIGWINCH, {0x486d2a00, [], 0}, NULL, 8) = 0
                                                             ioctl(1, SNDCTL_TMR_TIMEBASE or SNDRV_TIMER_IOCTL_NEXT_DEVICE or TCGETS, {B38400 opost isig -icanon -echo ...}) = 0
                                                   open("/var/lock/iptraf/iptraf.tag", O_WRONLY|O_CREAT|O_TRUNC, 0600) = -1 ENOENT (No such file or directory)
                                 write(2, "\nWarning: unable to tag this pro"..., 38
                                                                                    Warning: unable to tag this process
) = 38
      write(2, "Press Enter to continue.\n", 25Press Enter to continue.
                                                                       ) = 25
                                                                             fstat64(0, {st_mode=S_IFCHR|0600, st_rdev=makedev(136, 1), ...}) = 0
                    mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7788000
                                                                                                          read(0, 




-----------------------------------------------------------------------------


Tested other versions of iptraf (centos 5.x, f13) and all versions reproduce the same bug under Fedora 15.
Under Fedora 14 not.

Comment 4 xset1980 2011-09-15 10:11:27 UTC
Bug in Debian http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=170802

Comment 5 Orion Poplawski 2011-09-15 15:04:15 UTC
iptraf needs to put the following into /etc/tmpfiles.d/ipraf:
d /var/lock/iptraf 0755 root root

To get systemd to create the /var/lock/iptraf directory on boot.

Comment 6 xset1980 2011-11-28 10:16:57 UTC
same bug in F16, some fix?

Comment 7 xset1980 2011-11-28 10:35:01 UTC
possible fix (hack), add in rc.local mkdir -p /var/lock/iptraf ?

Comment 8 demonust 2011-12-07 21:13:12 UTC
I can confirm this bug. Package versions: iptraf-3.0.1-11.fc15.i686.

Comment 9 Fedora Update System 2012-01-12 07:12:03 UTC
iptraf-ng-1.1.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.0-1.fc15

Comment 10 Fedora Update System 2012-01-12 07:12:28 UTC
iptraf-ng-1.1.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.0-1.fc16

Comment 11 Fedora Update System 2012-01-15 19:58:09 UTC
Package iptraf-ng-1.1.0-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing iptraf-ng-1.1.0-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0453/iptraf-ng-1.1.0-1.fc16
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2012-01-16 11:15:59 UTC
iptraf-ng-1.1.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.0-2.fc16

Comment 13 Fedora Update System 2012-01-16 11:16:26 UTC
iptraf-ng-1.1.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.0-2.fc15

Comment 14 Fedora Update System 2012-01-24 19:56:06 UTC
iptraf-ng-1.1.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2012-01-24 19:59:47 UTC
iptraf-ng-1.1.0-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.